SystemOrganization addCategory: #ConfigurationOfExternal!

ConfigurationOf subclass: #ConfigurationOfExternal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfExternal'!

!ConfigurationOfExternal commentStamp: 'dkh 5/4/2012 14:20' prior: 0!
**External**  is a sample dependent project for the [Sample project][1].

I'm used to specify the various versions of the **External** project on a dialect by dialect base. 

Basic branch structure:

```
 +-master            Common code, documentation and BaselineOfExternalProject
   +-gemstone     version of project for gemstone
   +-pharo            version of project for pharo
   +-squeak          version of project for squeak
 +-configuration  ConfigurationOfExternalProject working version
   +-release         ConfigurationOfExternalProject release version
```

[1]: https://github.com/dalehenrich/sample!

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 5/16/2012 20:54:23'!
bleedingEdge: spec
    <symbolicVersion: #'bleedingEdge'>
    spec for: #'gemstone' version: 'github://dalehenrich/external:gemstone/repository'.
    spec for: #'pharo' version: 'github://dalehenrich/external:master/repository'.
    spec for: #'squeak' version: 'github://dalehenrich/external:squeak/repository'! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 5/16/2012 20:54:23'!
stable: spec
    <symbolicVersion: #'stable'>
    spec for: #'gemstone' version: '0.9'.
    spec for: #'pharo' version: '0.9'.
    spec for: #'squeak' version: '0.9'! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 5/26/2012 16:03:15'!
version0900: spec
    <version: '0.9'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'development'.
            spec description: 'initial work: first commit on custom branch'.
            spec author: 'dkh'.
            spec timestamp: '5/4/2012 14:16' ].
    spec
        for: #'pharo'
        do: [ 
            spec
                baseline: 'External'
                with: [ spec repository: 'github://dalehenrich/external:1ac58502ade7814e1590f71d615cca434b1a4fd5/repository' ] ]! !
